=== modified file 'NEWS'
--- NEWS	2009-07-09 01:44:00 +0000
+++ NEWS	2009-07-10 07:43:15 +0000
@@ -58,6 +58,9 @@
 * Avoid progress bar artifacts being left behind on the screen.
   (Martin Pool, #321935)
 
+* BranchBuilder now accepts timezone to avoid test failures in countries far
+  from GMT. (Vincent Ladeuil, #397716)
+
 * Better message in ``bzr split`` error suggesting a rich root format.
   (Neil Martinsen-Burrell, #220067)
 

=== modified file 'bzrlib/branchbuilder.py'
--- bzrlib/branchbuilder.py	2009-06-19 21:25:51 +0000
+++ bzrlib/branchbuilder.py	2009-07-10 07:43:15 +0000
@@ -162,7 +162,7 @@
 
     def build_snapshot(self, revision_id, parent_ids, actions,
         message=None, timestamp=None, allow_leftmost_as_ghost=False,
-        committer=None):
+        committer=None, timezone=None):
         """Build a commit, shaped in a specific way.
 
         :param revision_id: The handle for the new commit, can be None
@@ -177,6 +177,7 @@
             commit message will be written.
         :param timestamp: If non-None, set the timestamp of the commit to this
             value.
+        :param timezone: An optional timezone for timestamp.
         :param committer: An optional username to use for commit
         :param allow_leftmost_as_ghost: True if the leftmost parent should be
             permitted to be a ghost.
@@ -243,7 +244,7 @@
             for file_id, content in new_contents.iteritems():
                 tree.put_file_bytes_non_atomic(file_id, content)
             return self._do_commit(tree, message=message, rev_id=revision_id,
-                timestamp=timestamp, committer=committer)
+                timestamp=timestamp, timezone=timezone, committer=committer)
         finally:
             tree.unlock()
 

=== modified file 'bzrlib/tests/test_annotate.py'
--- bzrlib/tests/test_annotate.py	2009-06-19 21:32:28 +0000
+++ bzrlib/tests/test_annotate.py	2009-07-10 07:43:15 +0000
@@ -182,16 +182,16 @@
         builder.build_snapshot('rev-1', None, [
             ('add', ('', 'root-id', 'directory', None)),
             ('add', ('a', 'a-id', 'file', 'first\n')),
-            ], timestamp=1166046000.00, committer="joe@foo.com")
+            ], timestamp=1166046000.00, timezone=0, committer="joe@foo.com")
         builder.build_snapshot('rev-2', ['rev-1'], [
             ('modify', ('a-id', 'first\nsecond\n')),
-            ], timestamp=1166046001.00, committer="joe@foo.com")
+            ], timestamp=1166046001.00, timezone=0, committer="joe@foo.com")
         builder.build_snapshot('rev-1_1_1', ['rev-1'], [
             ('modify', ('a-id', 'first\nthird\n')),
-            ], timestamp=1166046002.00, committer="barry@foo.com")
+            ], timestamp=1166046002.00, timezone=0, committer="barry@foo.com")
         builder.build_snapshot('rev-3', ['rev-2', 'rev-1_1_1'], [
             ('modify', ('a-id', 'first\nsecond\nthird\n')),
-            ], timestamp=1166046003.00, committer="sal@foo.com")
+            ], timestamp=1166046003.00, timezone=0, committer="sal@foo.com")
         return builder
 
     def create_deeply_merged_trees(self):
@@ -222,15 +222,15 @@
         builder.build_snapshot('rev-4', ['rev-3', 'rev-1_1_2'], [])
         builder.build_snapshot('rev-1_2_1', ['rev-1_1_1'], [
             ('modify', ('a-id', 'first\nthird\nfourth\n')),
-            ], timestamp=1166046003.00, committer="jerry@foo.com")
+            ], timestamp=1166046003.00, timezone=0, committer="jerry@foo.com")
         builder.build_snapshot('rev-1_2_2', ['rev-1_2_1'], [],
-            timestamp=1166046004.00, committer="jerry@foo.com")
+            timestamp=1166046004.00, timezone=0, committer="jerry@foo.com")
         builder.build_snapshot('rev-5', ['rev-4', 'rev-1_2_2'], [
             ('modify', ('a-id', 'first\nsecond\nthird\nfourth\n')),
-            ], timestamp=1166046004.00, committer="jerry@foo.com")
+            ], timestamp=1166046004.00, timezone=0, committer="jerry@foo.com")
         builder.build_snapshot('rev-1_3_1', ['rev-1_2_1'], [
             ('modify', ('a-id', 'first\nthird\nfourth\nfifth\nsixth\n')),
-            ], timestamp=1166046005.00, committer="george@foo.com")
+            ], timestamp=1166046005.00, timezone=0, committer="george@foo.com")
         builder.build_snapshot('rev-6', ['rev-5', 'rev-1_3_1'], [
             ('modify', ('a-id',
                         'first\nsecond\nthird\nfourth\nfifth\nsixth\n')),

